Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 658758 - <dev-java/jibx-1.30 does not work with JDK 1.8
Summary: <dev-java/jibx-1.30 does not work with JDK 1.8
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-22 19:00 UTC by Florian Berger
Modified: 2018-07-05 02:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Berger 2018-06-22 19:00:56 UTC
The current tree has dev-java/jibx versions 1.1.5-r3 and 1.2.6-r1 .

However, <dev-java/jibx-1.30 does not work with JDK 1.8 . See developer comment at https://stackoverflow.com/a/40468425/1132250 .

As early as 2016-11 there have been updated releases 1.3.0 and 1.3.1 (see https://www.sourceforge.net/projects/jibx/files/jibx/ ), but they are currently not available in the Portage tree. According to this report https://github.com/jibx/jibx/issues/5#issuecomment-266452729 , jibx 1.3.1 fixes the issues.

Affected packages are for example app-misc/freemind , which does not work with JDK 1.8 and jibx-1.2.6-r1 .

Kindly update JIBX to the latest available version in the Portage tree.